> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar coluna do funil

> Cria uma nova coluna do funil no sistema



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json post /funnel-column/
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /funnel-column/:
    post:
      tags:
        - CRM
      summary: Criar coluna do funil
      description: Cria uma nova coluna do funil no sistema
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Nome da coluna.
                color:
                  type: string
                  description: Cor da coluna.
                index:
                  type: number
                  description: Posição da coluna no funil.
                funnelId:
                  type: string
                  pattern: ^[cC][^\s-]{8,}$
                  description: ID do funil.
                showBadgeProgress:
                  type: boolean
                  description: Exibe badge de progresso na coluna.
                timeLimitDays:
                  type: number
                  description: Limite de dias do card nesta coluna.
                autoCreateJuridiqLead:
                  type: boolean
                  description: Cria lead no Juridiq ao entrar nesta coluna.
                kind:
                  type: string
                  enum:
                    - NORMAL
                    - WON
                    - LOST
                  description: 'Tipo da coluna: NORMAL, WON ou LOST.'
              required:
                - name
                - color
                - index
                - funnelId
                - showBadgeProgress
                - timeLimitDays
              additionalProperties: false
        required: true
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    pattern: ^[cC][^\s-]{8,}$
                  name:
                    type: string
                  color:
                    type: string
                  index:
                    type: number
                  funnelId:
                    type: string
                    pattern: ^[cC][^\s-]{8,}$
                  showBadgeProgress:
                    type: boolean
                  timeLimitDays:
                    type: number
                  autoCreateJuridiqLead:
                    type: boolean
                  kind:
                    type: string
                    enum:
                      - NORMAL
                      - WON
                      - LOST
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - name
                  - color
                  - index
                  - funnelId
                  - showBadgeProgress
                  - timeLimitDays
                  - kind
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  code:
                    type: string
                  details:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: object
                        properties: {}
                        additionalProperties: true
                    description: Detalhes adicionais do erro.
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````